/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.testframework.web;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionContext;
import java.util.Enumeration;


/**
 * This class does implement the {@link javax.servlet.http.HttpSession} interface. It is a mock class that serves no
 * other purpose but being used as an instance of {@link javax.servlet.http.HttpSession}.
 * <p/>
 * This class is used in test cases where a non-<tt>null</tt> instance of {@link HttpSession} is needed.
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
class DummySession implements HttpSession {
    public long getCreationTime() {
        return 0;
    }

    public String getId() {
        return null;
    }

    public long getLastAccessedTime() {
        return 0;
    }

    public ServletContext getServletContext() {
        return null;
    }

    public void setMaxInactiveInterval(final int i) {

    }

    public int getMaxInactiveInterval() {
        return 0;
    }

    public HttpSessionContext getSessionContext() {
        return null;
    }

    public Object getAttribute(final String string) {
        return null;
    }

    public Object getValue(final String string) {
        return null;
    }

    public Enumeration getAttributeNames() {
        return null;
    }

    public String[] getValueNames() {
        return new String[0];
    }

    public void setAttribute(final String string, final Object object) {

    }

    public void putValue(final String string, final Object object) {

    }

    public void removeAttribute(final String string) {

    }

    public void removeValue(final String string) {

    }

    public void invalidate() {

    }

    public boolean isNew() {
        return false;
    }
}
